#
# spec file for package yast2-transfer (Version 2.13.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://www.suse.de/

Name:           yast2-transfer
Version:        2.13.5
Release:        0.4.36
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-transfer-2.13.5.tar.bz2
Prefix:         /usr
BuildRequires:  curl-devel doxygen gcc-c++ libxcrypt-devel perl-XML-Writer update-desktop-files yast2 yast2-core-devel yast2-devtools yast2-testsuite
Summary:        YaST2 - Agent for Various Transfer Protocols
Provides:       yast2-agent-curl yast2-agent-tftp yast2-agent-curl-devel yast2-agent-tftp-devel
Obsoletes:      yast2-agent-curl yast2-agent-tftp yast2-agent-curl-devel yast2-agent-tftp-devel
Requires:       curl 

%description
A YaST2 Agent for various Transfer Protocols: FTP, HTTP, and TFTP.



Authors:
--------
    Anas Nashif <nashif@suse.de>

%prep
%setup -n yast2-transfer-2.13.5

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_curl.so.*
%{_libdir}/YaST2/plugin/libpy2ag_curl.so
%{_libdir}/YaST2/plugin/libpy2ag_curl.la
%{_libdir}/YaST2/plugin/libpy2ag_tftp.so.*
%{_libdir}/YaST2/plugin/libpy2ag_tftp.so
%{_libdir}/YaST2/plugin/libpy2ag_tftp.la
/usr/share/YaST2/modules/*
#%dir /usr/share/YaST2/include/transfer
#/usr/share/YaST2/include/transfer/url.ycp
%doc %{prefix}/share/doc/packages/yast2-transfer
%changelog
* Tue May 26 2009 ug@suse.de
- send ACK package for the last DATA package that was received
  via TFTP (bnc#507086)
- 2.13.5
* Thu Jan 11 2007 ug@suse.de
- 2.13.4
* Thu Jun  1 2006 locilka@suse.cz
- Marking FTP, TFTP and HTTP modules as Stable.
* Mon Mar  6 2006 locilka@suse.cz
- Ajusted BuildRequires for package
- 2.13.3
* Thu Jan  5 2006 locilka@suse.cz
- Adding enhancement wanted and created by ug@suse.de
  Adding functionality which allows to disable the strict HTTPS
  more to more useful. The default behavior is unchanged.
- 2.13.2
* Thu Dec 15 2005 locilka@suse.cz
- Fixed bug #135829
  Curl library was called with wrong data-type. The bug appeared on
  big-endian 64bits only (Such as s390x).
- 2.13.1
* Wed Nov 30 2005 locilka@suse.cz
- Added debugging message into the Curl::Get function
- 2.13.0
* Thu Apr 28 2005 locilka@suse.cz
- Changing package maintainer to locilka@suse.cz
- 2.12.0
* Wed May  5 2004 nashif@suse.de
- Fixed bug #39996: fixed tftp 'put'
* Fri Apr  2 2004 nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Sun Jan 25 2004 nashif@suse.de
- First version with new interpreter
- 2.9.1
* Thu Jun 12 2003 nashif@suse.de
- Fixed file list
* Tue Feb  4 2003 nashif@suse.de
- Added FTP Get
- 2.7.0
* Mon Aug  5 2002 nashif@suse.de
- Added URI parser
- 2.6.1
* Wed Jul 17 2002 nashif@suse.de
- Merged tftp and  curl agents
- 2.6.0
* Fri Jul 12 2002 nashif@suse.de
- Initial version
